Bug 21792 - Switch two-column templates to Bootstrap grid: Serials part 3
Summary: Switch two-column templates to Bootstrap grid: Serials part 3
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-11-08 17:00 UTC by Owen Leonard
Modified: 2019-01-31 16:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21792: Switch two-column templates to Bootstrap grid: Serials part 3 (4.40 KB, patch)
2018-11-08 17:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21792: Switch two-column templates to Bootstrap grid: Serials part 3 (4.45 KB, patch)
2019-01-02 14:38 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21792: Switch two-column templates to Bootstrap grid: Serials part 3 (4.51 KB, patch)
2019-01-02 20:54 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-08 17:00:42 UTC
These serials templates should be revised as part of the move to Bootstrap grids:

- modules/serials/subscription-add.tt has some CSS which refers to obsolete YUI markup.
- modules/serials/subscription-batchedit.tt needs to be converted.
- modules/serials/subscription-renew.tt contains some stray YUI markup.
Comment 1 Owen Leonard 2018-11-08 17:28:30 UTC
Created attachment 82107 [details] [review]
Bug 21792: Switch two-column templates to Bootstrap grid: Serials part 3

This patch modifies several serials templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and go to Serials.

 - Add or edit a new subscription. The "create an item..." and "do not
   create an item..." labels should look correct.
 - Search for subscriptions
   - Select two or more subscriptions to batch edit.
     - The subscription batch edit page should look correct and adjust
       well to various browser widths.
   - View a subscription and click the "Renew" button. The subscription
     renewal pop-up window should look correct.
Comment 2 Claire Gravely 2019-01-02 14:38:15 UTC
Created attachment 83593 [details] [review]
Bug 21792: Switch two-column templates to Bootstrap grid: Serials part 3

This patch modifies several serials templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and go to Serials.

 - Add or edit a new subscription. The "create an item..." and "do not
   create an item..." labels should look correct.
 - Search for subscriptions
   - Select two or more subscriptions to batch edit.
     - The subscription batch edit page should look correct and adjust
       well to various browser widths.
   - View a subscription and click the "Renew" button. The subscription
     renewal pop-up window should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2019-01-02 20:54:20 UTC
Created attachment 83605 [details] [review]
Bug 21792: Switch two-column templates to Bootstrap grid: Serials part 3

This patch modifies several serials templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and go to Serials.

 - Add or edit a new subscription. The "create an item..." and "do not
   create an item..." labels should look correct.
 - Search for subscriptions
   - Select two or more subscriptions to batch edit.
     - The subscription batch edit page should look correct and adjust
       well to various browser widths.
   - View a subscription and click the "Renew" button. The subscription
     renewal pop-up window should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Nick Clemens 2019-01-25 20:51:38 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-31 16:58:04 UTC
Enhancement, will not be backported to 18.11.x series.